Package com.independentsoft.office.word

# Enum Class StandardBorderStyle

java.lang.Object
java.lang.Enum<StandardBorderStyle>
com.independentsoft.office.word.StandardBorderStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardBorderStyle>`, `Constable`

public enum StandardBorderStyle extends Enum<StandardBorderStyle>
The Enum StandardBorderStyle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLE`
  `ARCHED_SCALLOPS`
  `ARCHWAY`
  `ARCHWAY_COLOR`
  `BABY_PACIFIER`
  `BABY_RATTLE`
  `BALLOONS_3_COLORS`
  `BALLOONS_HOT_AIR`
  `BASIC_BLACK_DASH`
  `BASIC_BLACK_DOT`
  `BASIC_BLACK_SQUARE`
  `BASIC_THIN_LINE`
  `BASIC_WHITE_DASH`
  `BASIC_WHITE_DOT`
  `BASIC_WHITE_SQUARE`
  `BASIC_WIDE_INLINE`
  `BASIC_WIDE_MIDLINE`
  `BASIC_WIDE_OUTLINE`
  `BAT`
  `BIRD`
  `BIRD_TRACKS`
  `BIRDS_FLYING`
  `BLACK_AND_WHITE_BAR`
  `BLOCKS`
  `BUTTERFLY`
  `CABIN`
  `CAKE`
  `CANDY_CORN`
  `CERTIFICATE_BANNER`
  `CHAIN_LINK`
  `CHAMPAGNE_BOTTLE`
  `CHECKED_BAR_COLOR`
  `CHECKERBOARD`
  `CHRISTMAS_TREE`
  `CIRCLES_AND_LINES`
  `CIRCLES_AND_RECTANGLES`
  `CLASSICAL_WAVE`
  `CLOCK`
  `COMPASS`
  `CONFETTI`
  `CONFETTI_GRAYS`
  `CONFETTI_OUTLINE`
  `CONFETTI_STREAMERS`
  `CONFETTI_WHITE`
  `CORNER_TRIANGLE`
  `COUPON_CUTOUT_DASHES`
  `COUPON_CUTOUT_DOTS`
  `CROSS_STITCH`
  `CUPID`
  `DASH_DOT_STROKES_LINE`
  `DASHED`
  `DASHED_LINE`
  `DASHED_LINE_SMALL_GAP`
  `DIAMOND`
  `DIAMOND_GRAY`
  `DOT_DASH_LINE`
  `DOT_DOT_DASH_LINE`
  `DOTTED`
  `DOTTED_LINE`
  `DOUBLE_D`
  `DOUBLE_LINE`
  `DOUBLE_WAVE`
  `EARTH_1`
  `EARTH_2`
  `FANS`
  `FILM_REEL`
  `FIRECRACKER`
  `FISH`
  `FLOWERS`
  `FLOWERS_DAISIES`
  `FLOWERS_IN_TEACUP`
  `FLOWERS_MODERN_1`
  `FLOWERS_MODERN_2`
  `FLOWERS_PANSY`
  `FLOWERS_RED_ROSE`
  `FLOWERS_ROSES`
  `FLOWERS_TINY`
  `GEMS`
  `GINGERBREAD_MAN`
  `HANDMADE_1`
  `HANDMADE_2`
  `HEART_GRAY`
  `HEART_SHAPED_BALLOON`
  `HEARTS`
  `HOLLY`
  `HOUSE`
  `HYPNOTIC`
  `ICE_CREAM_CONES`
  `INSECTS`
  `INSET`
  `KNOTWORK`
  `LADYBUG`
  `LIGHT_BULB`
  `LIGHTNING_1`
  `LIGHTNING_2`
  `MAP_PINS`
  `MAPLE_LEAF`
  `MAPLE_MUFFINS`
  `MARQUEE`
  `MARQUEE_TOOTHED`
  `MAZE`
  `MOON`
  `MOSAIC`
  `MUSICAL_NOTE`
  `NIL`
  `NONE`
  `OUTSET`
  `OVAL`
  `PACKAGES`
  `PAINTED_EGG`
  `PALMS_BLACK`
  `PALMS_COLOR`
  `PAPER_CLIPS`
  `PAPYRUS`
  `PARTY_FAVOR`
  `PARTY_GLASS`
  `PATTERN`
  `PATTERNED`
  `PENCILS`
  `PEOPLE`
  `PEOPLE_HATS`
  `PEOPLE_WAVING`
  `POINSETTIA`
  `POSTAGE_STAMP`
  `PUMPKIN`
  `PUSH_PIN_NOTE_1`
  `PUSH_PIN_NOTE_2`
  `PYRAMID`
  `PYRAMIN_ABOVE`
  `QUADRANTS`
  `RINGS`
  `ROCKET`
  `SAFARI`
  `SAW_TOOTH`
  `SAW_TOOTH_GRAY`
  `SCARED_CAT`
  `SHADOWED_SQUARE_1`
  `SHADOWED_SQUARE_2`
  `SHADOWED_SQUARES`
  `SHARK_TOOTH`
  `SINGLE_LINE`
  `SNOWFLAKE`
  `SNOWFLAKE_FANCY`
  `SOMBRERO`
  `SOUTHWEST`
  `STARS`
  `STARS_3D`
  `STARS_BLACK`
  `STARS_ON_TOP`
  `STARS_SHADOWED`
  `SUN`
  `THICK`
  `THICK_THIN_LARGE_GAP`
  `THICK_THIN_MEDIUM_GAP`
  `THICK_THIN_SMALL_GAP`
  `THIN_THICK_LARGE_GAP`
  `THIN_THICK_MEDIUM_GAP`
  `THIN_THICK_SMALL_GAP`
  `THIN_THICK_THIN_LARGE_GAP`
  `THIN_THICK_THIN_MEDIUM_GAP`
  `THIN_THICK_THIN_SMALL_GAP`
  `THREE_D_EMBOSS`
  `THREE_D_ENGRAVE`
  `TORN_PAPER`
  `TORN_PAPER_BLACK`
  `TREE`
  `TRIANGLE_GRADIENT`
  `TRIANGLE_PARTY`
  `TRIANGLES`
  `TRIBAL_1`
  `TRIBAL_2`
  `TRIBAL_3`
  `TRIBAL_4`
  `TRIBAL_5`
  `TRIBAL_6`
  `TRIPLE`
  `TWISTED_LINES_1`
  `TWISTED_LINES_2`
  `UMBRELLA`
  `VINE`
  `WAVE`
  `WAVE_LINE`
  `WEAVING_ANGLES`
  `WEAVING_BRAID`
  `WEAVING_RIBBON`
  `WEAVING_STRIPS`
  `WHIRLIGIG`
  `WHITE_FLOWERS`
  `WOODWORK`
  `X_ILLUSIONS`
  `ZANY_TRIANGLES`
  `ZIG_ZAG`
  `ZIG_ZAG_STITCH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StandardBorderStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StandardBorderStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLE

    public static final StandardBorderStyle APPLE

  - ### ARCHED_SCALLOPS

    public static final StandardBorderStyle ARCHED_SCALLOPS

  - ### BABY_PACIFIER

    public static final StandardBorderStyle BABY_PACIFIER

  - ### BABY_RATTLE

    public static final StandardBorderStyle BABY_RATTLE

  - ### BALLOONS_3_COLORS

    public static final StandardBorderStyle BALLOONS_3_COLORS

  - ### BALLOONS_HOT_AIR

    public static final StandardBorderStyle BALLOONS_HOT_AIR

  - ### BASIC_BLACK_DASH

    public static final StandardBorderStyle BASIC_BLACK_DASH

  - ### BASIC_BLACK_DOT

    public static final StandardBorderStyle BASIC_BLACK_DOT

  - ### BASIC_BLACK_SQUARE

    public static final StandardBorderStyle BASIC_BLACK_SQUARE

  - ### BASIC_THIN_LINE

    public static final StandardBorderStyle BASIC_THIN_LINE

  - ### BASIC_WHITE_DASH

    public static final StandardBorderStyle BASIC_WHITE_DASH

  - ### BASIC_WHITE_DOT

    public static final StandardBorderStyle BASIC_WHITE_DOT

  - ### BASIC_WHITE_SQUARE

    public static final StandardBorderStyle BASIC_WHITE_SQUARE

  - ### BASIC_WIDE_INLINE

    public static final StandardBorderStyle BASIC_WIDE_INLINE

  - ### BASIC_WIDE_MIDLINE

    public static final StandardBorderStyle BASIC_WIDE_MIDLINE

  - ### BASIC_WIDE_OUTLINE

    public static final StandardBorderStyle BASIC_WIDE_OUTLINE

  - ### BAT

    public static final StandardBorderStyle BAT

  - ### BIRD

    public static final StandardBorderStyle BIRD

  - ### BIRDS_FLYING

    public static final StandardBorderStyle BIRDS_FLYING

  - ### CABIN

    public static final StandardBorderStyle CABIN

  - ### CAKE

    public static final StandardBorderStyle CAKE

  - ### CANDY_CORN

    public static final StandardBorderStyle CANDY_CORN

  - ### COUPON_CUTOUT_DASHES

    public static final StandardBorderStyle COUPON_CUTOUT_DASHES

  - ### COUPON_CUTOUT_DOTS

    public static final StandardBorderStyle COUPON_CUTOUT_DOTS

  - ### KNOTWORK

    public static final StandardBorderStyle KNOTWORK

  - ### CERTIFICATE_BANNER

    public static final StandardBorderStyle CERTIFICATE_BANNER

  - ### CHAIN_LINK

    public static final StandardBorderStyle CHAIN_LINK

  - ### CHAMPAGNE_BOTTLE

    public static final StandardBorderStyle CHAMPAGNE_BOTTLE

  - ### BLACK_AND_WHITE_BAR

    public static final StandardBorderStyle BLACK_AND_WHITE_BAR

  - ### CHECKED_BAR_COLOR

    public static final StandardBorderStyle CHECKED_BAR_COLOR

  - ### CHECKERBOARD

    public static final StandardBorderStyle CHECKERBOARD

  - ### CHRISTMAS_TREE

    public static final StandardBorderStyle CHRISTMAS_TREE

  - ### CIRCLES_AND_LINES

    public static final StandardBorderStyle CIRCLES_AND_LINES

  - ### CIRCLES_AND_RECTANGLES

    public static final StandardBorderStyle CIRCLES_AND_RECTANGLES

  - ### CLASSICAL_WAVE

    public static final StandardBorderStyle CLASSICAL_WAVE

  - ### CLOCK

    public static final StandardBorderStyle CLOCK

  - ### COMPASS

    public static final StandardBorderStyle COMPASS

  - ### CONFETTI

    public static final StandardBorderStyle CONFETTI

  - ### CONFETTI_GRAYS

    public static final StandardBorderStyle CONFETTI_GRAYS

  - ### CONFETTI_OUTLINE

    public static final StandardBorderStyle CONFETTI_OUTLINE

  - ### CONFETTI_STREAMERS

    public static final StandardBorderStyle CONFETTI_STREAMERS

  - ### CONFETTI_WHITE

    public static final StandardBorderStyle CONFETTI_WHITE

  - ### CORNER_TRIANGLE

    public static final StandardBorderStyle CORNER_TRIANGLE

  - ### DASHED

    public static final StandardBorderStyle DASHED

  - ### DOTTED

    public static final StandardBorderStyle DOTTED

  - ### MAZE

    public static final StandardBorderStyle MAZE

  - ### BUTTERFLY

    public static final StandardBorderStyle BUTTERFLY

  - ### FISH

    public static final StandardBorderStyle FISH

  - ### INSECTS

    public static final StandardBorderStyle INSECTS

  - ### LADYBUG

    public static final StandardBorderStyle LADYBUG

  - ### CROSS_STITCH

    public static final StandardBorderStyle CROSS_STITCH

  - ### CUPID

    public static final StandardBorderStyle CUPID

  - ### DASH_DOT_STROKES_LINE

    public static final StandardBorderStyle DASH_DOT_STROKES_LINE

  - ### DASHED_LINE

    public static final StandardBorderStyle DASHED_LINE

  - ### DASHED_LINE_SMALL_GAP

    public static final StandardBorderStyle DASHED_LINE_SMALL_GAP

  - ### ARCHWAY

    public static final StandardBorderStyle ARCHWAY

  - ### ARCHWAY_COLOR

    public static final StandardBorderStyle ARCHWAY_COLOR

  - ### BLOCKS

    public static final StandardBorderStyle BLOCKS

  - ### DIAMOND_GRAY

    public static final StandardBorderStyle DIAMOND_GRAY

  - ### DOT_DASH_LINE

    public static final StandardBorderStyle DOT_DASH_LINE

  - ### DOT_DOT_DASH_LINE

    public static final StandardBorderStyle DOT_DOT_DASH_LINE

  - ### DOTTED_LINE

    public static final StandardBorderStyle DOTTED_LINE

  - ### DOUBLE_LINE

    public static final StandardBorderStyle DOUBLE_LINE

  - ### DOUBLE_D

    public static final StandardBorderStyle DOUBLE_D

  - ### DIAMOND

    public static final StandardBorderStyle DIAMOND

  - ### DOUBLE_WAVE

    public static final StandardBorderStyle DOUBLE_WAVE

  - ### EARTH_1

    public static final StandardBorderStyle EARTH_1

  - ### EARTH_2

    public static final StandardBorderStyle EARTH_2

  - ### SHADOWED_SQUARE_1

    public static final StandardBorderStyle SHADOWED_SQUARE_1

  - ### SHADOWED_SQUARE_2

    public static final StandardBorderStyle SHADOWED_SQUARE_2

  - ### PAINTED_EGG

    public static final StandardBorderStyle PAINTED_EGG

  - ### FANS

    public static final StandardBorderStyle FANS

  - ### FILM_REEL

    public static final StandardBorderStyle FILM_REEL

  - ### FIRECRACKER

    public static final StandardBorderStyle FIRECRACKER

  - ### FLOWERS

    public static final StandardBorderStyle FLOWERS

  - ### FLOWERS_DAISIES

    public static final StandardBorderStyle FLOWERS_DAISIES

  - ### FLOWERS_MODERN_1

    public static final StandardBorderStyle FLOWERS_MODERN_1

  - ### FLOWERS_MODERN_2

    public static final StandardBorderStyle FLOWERS_MODERN_2

  - ### FLOWERS_PANSY

    public static final StandardBorderStyle FLOWERS_PANSY

  - ### FLOWERS_RED_ROSE

    public static final StandardBorderStyle FLOWERS_RED_ROSE

  - ### FLOWERS_ROSES

    public static final StandardBorderStyle FLOWERS_ROSES

  - ### FLOWERS_IN_TEACUP

    public static final StandardBorderStyle FLOWERS_IN_TEACUP

  - ### FLOWERS_TINY

    public static final StandardBorderStyle FLOWERS_TINY

  - ### GEMS

    public static final StandardBorderStyle GEMS

  - ### GINGERBREAD_MAN

    public static final StandardBorderStyle GINGERBREAD_MAN

  - ### TRIANGLE_GRADIENT

    public static final StandardBorderStyle TRIANGLE_GRADIENT

  - ### HANDMADE_1

    public static final StandardBorderStyle HANDMADE_1

  - ### HANDMADE_2

    public static final StandardBorderStyle HANDMADE_2

  - ### HEART_SHAPED_BALLOON

    public static final StandardBorderStyle HEART_SHAPED_BALLOON

  - ### HEART_GRAY

    public static final StandardBorderStyle HEART_GRAY

  - ### HEARTS

    public static final StandardBorderStyle HEARTS

  - ### PATTERN

    public static final StandardBorderStyle PATTERN

  - ### HOLLY

    public static final StandardBorderStyle HOLLY

  - ### HOUSE

    public static final StandardBorderStyle HOUSE

  - ### HYPNOTIC

    public static final StandardBorderStyle HYPNOTIC

  - ### ICE_CREAM_CONES

    public static final StandardBorderStyle ICE_CREAM_CONES

  - ### INSET

    public static final StandardBorderStyle INSET

  - ### LIGHT_BULB

    public static final StandardBorderStyle LIGHT_BULB

  - ### LIGHTNING_1

    public static final StandardBorderStyle LIGHTNING_1

  - ### LIGHTNING_2

    public static final StandardBorderStyle LIGHTNING_2

  - ### MAPLE_LEAF

    public static final StandardBorderStyle MAPLE_LEAF

  - ### MAPLE_MUFFINS

    public static final StandardBorderStyle MAPLE_MUFFINS

  - ### MAP_PINS

    public static final StandardBorderStyle MAP_PINS

  - ### MARQUEE

    public static final StandardBorderStyle MARQUEE

  - ### MARQUEE_TOOTHED

    public static final StandardBorderStyle MARQUEE_TOOTHED

  - ### MOON

    public static final StandardBorderStyle MOON

  - ### MOSAIC

    public static final StandardBorderStyle MOSAIC

  - ### MUSICAL_NOTE

    public static final StandardBorderStyle MUSICAL_NOTE

  - ### NIL

    public static final StandardBorderStyle NIL

  - ### NONE

    public static final StandardBorderStyle NONE

  - ### PATTERNED

    public static final StandardBorderStyle PATTERNED

  - ### OUTSET

    public static final StandardBorderStyle OUTSET

  - ### OVAL

    public static final StandardBorderStyle OVAL

  - ### PACKAGES

    public static final StandardBorderStyle PACKAGES

  - ### PALMS_BLACK

    public static final StandardBorderStyle PALMS_BLACK

  - ### PALMS_COLOR

    public static final StandardBorderStyle PALMS_COLOR

  - ### PAPER_CLIPS

    public static final StandardBorderStyle PAPER_CLIPS

  - ### PAPYRUS

    public static final StandardBorderStyle PAPYRUS

  - ### PARTY_FAVOR

    public static final StandardBorderStyle PARTY_FAVOR

  - ### PARTY_GLASS

    public static final StandardBorderStyle PARTY_GLASS

  - ### PENCILS

    public static final StandardBorderStyle PENCILS

  - ### PEOPLE

    public static final StandardBorderStyle PEOPLE

  - ### PEOPLE_HATS

    public static final StandardBorderStyle PEOPLE_HATS

  - ### PEOPLE_WAVING

    public static final StandardBorderStyle PEOPLE_WAVING

  - ### POINSETTIA

    public static final StandardBorderStyle POINSETTIA

  - ### POSTAGE_STAMP

    public static final StandardBorderStyle POSTAGE_STAMP

  - ### PUMPKIN

    public static final StandardBorderStyle PUMPKIN

  - ### PUSH_PIN_NOTE_1

    public static final StandardBorderStyle PUSH_PIN_NOTE_1

  - ### PUSH_PIN_NOTE_2

    public static final StandardBorderStyle PUSH_PIN_NOTE_2

  - ### PYRAMID

    public static final StandardBorderStyle PYRAMID

  - ### PYRAMIN_ABOVE

    public static final StandardBorderStyle PYRAMIN_ABOVE

  - ### QUADRANTS

    public static final StandardBorderStyle QUADRANTS

  - ### RINGS

    public static final StandardBorderStyle RINGS

  - ### SAFARI

    public static final StandardBorderStyle SAFARI

  - ### SAW_TOOTH

    public static final StandardBorderStyle SAW_TOOTH

  - ### SAW_TOOTH_GRAY

    public static final StandardBorderStyle SAW_TOOTH_GRAY

  - ### SCARED_CAT

    public static final StandardBorderStyle SCARED_CAT

  - ### UMBRELLA

    public static final StandardBorderStyle UMBRELLA

  - ### SHADOWED_SQUARES

    public static final StandardBorderStyle SHADOWED_SQUARES

  - ### SHARK_TOOTH

    public static final StandardBorderStyle SHARK_TOOTH

  - ### BIRD_TRACKS

    public static final StandardBorderStyle BIRD_TRACKS

  - ### SINGLE_LINE

    public static final StandardBorderStyle SINGLE_LINE

  - ### ROCKET

    public static final StandardBorderStyle ROCKET

  - ### SNOWFLAKE_FANCY

    public static final StandardBorderStyle SNOWFLAKE_FANCY

  - ### SNOWFLAKE

    public static final StandardBorderStyle SNOWFLAKE

  - ### SOMBRERO

    public static final StandardBorderStyle SOMBRERO

  - ### SOUTHWEST

    public static final StandardBorderStyle SOUTHWEST

  - ### STARS

    public static final StandardBorderStyle STARS

  - ### STARS_3D

    public static final StandardBorderStyle STARS_3D

  - ### STARS_BLACK

    public static final StandardBorderStyle STARS_BLACK

  - ### STARS_SHADOWED

    public static final StandardBorderStyle STARS_SHADOWED

  - ### STARS_ON_TOP

    public static final StandardBorderStyle STARS_ON_TOP

  - ### SUN

    public static final StandardBorderStyle SUN

  - ### WHIRLIGIG

    public static final StandardBorderStyle WHIRLIGIG

  - ### THICK

    public static final StandardBorderStyle THICK

  - ### THICK_THIN_LARGE_GAP

    public static final StandardBorderStyle THICK_THIN_LARGE_GAP

  - ### THICK_THIN_MEDIUM_GAP

    public static final StandardBorderStyle THICK_THIN_MEDIUM_GAP

  - ### THICK_THIN_SMALL_GAP

    public static final StandardBorderStyle THICK_THIN_SMALL_GAP

  - ### THIN_THICK_LARGE_GAP

    public static final StandardBorderStyle THIN_THICK_LARGE_GAP

  - ### THIN_THICK_MEDIUM_GAP

    public static final StandardBorderStyle THIN_THICK_MEDIUM_GAP

  - ### THIN_THICK_SMALL_GAP

    public static final StandardBorderStyle THIN_THICK_SMALL_GAP

  - ### THIN_THICK_THIN_LARGE_GAP

    public static final StandardBorderStyle THIN_THICK_THIN_LARGE_GAP

  - ### THIN_THICK_THIN_MEDIUM_GAP

    public static final StandardBorderStyle THIN_THICK_THIN_MEDIUM_GAP

  - ### THIN_THICK_THIN_SMALL_GAP

    public static final StandardBorderStyle THIN_THICK_THIN_SMALL_GAP

  - ### THREE_D_EMBOSS

    public static final StandardBorderStyle THREE_D_EMBOSS

  - ### THREE_D_ENGRAVE

    public static final StandardBorderStyle THREE_D_ENGRAVE

  - ### TORN_PAPER

    public static final StandardBorderStyle TORN_PAPER

  - ### TORN_PAPER_BLACK

    public static final StandardBorderStyle TORN_PAPER_BLACK

  - ### TREE

    public static final StandardBorderStyle TREE

  - ### TRIANGLE_PARTY

    public static final StandardBorderStyle TRIANGLE_PARTY

  - ### TRIANGLES

    public static final StandardBorderStyle TRIANGLES

  - ### TRIBAL_1

    public static final StandardBorderStyle TRIBAL_1

  - ### TRIBAL_2

    public static final StandardBorderStyle TRIBAL_2

  - ### TRIBAL_3

    public static final StandardBorderStyle TRIBAL_3

  - ### TRIBAL_4

    public static final StandardBorderStyle TRIBAL_4

  - ### TRIBAL_5

    public static final StandardBorderStyle TRIBAL_5

  - ### TRIBAL_6

    public static final StandardBorderStyle TRIBAL_6

  - ### TRIPLE

    public static final StandardBorderStyle TRIPLE

  - ### TWISTED_LINES_1

    public static final StandardBorderStyle TWISTED_LINES_1

  - ### TWISTED_LINES_2

    public static final StandardBorderStyle TWISTED_LINES_2

  - ### VINE

    public static final StandardBorderStyle VINE

  - ### WAVE

    public static final StandardBorderStyle WAVE

  - ### WAVE_LINE

    public static final StandardBorderStyle WAVE_LINE

  - ### WEAVING_ANGLES

    public static final StandardBorderStyle WEAVING_ANGLES

  - ### WEAVING_BRAID

    public static final StandardBorderStyle WEAVING_BRAID

  - ### WEAVING_RIBBON

    public static final StandardBorderStyle WEAVING_RIBBON

  - ### WEAVING_STRIPS

    public static final StandardBorderStyle WEAVING_STRIPS

  - ### WHITE_FLOWERS

    public static final StandardBorderStyle WHITE_FLOWERS

  - ### WOODWORK

    public static final StandardBorderStyle WOODWORK

  - ### X_ILLUSIONS

    public static final StandardBorderStyle X_ILLUSIONS

  - ### ZANY_TRIANGLES

    public static final StandardBorderStyle ZANY_TRIANGLES

  - ### ZIG_ZAG

    public static final StandardBorderStyle ZIG_ZAG

  - ### ZIG_ZAG_STITCH

    public static final StandardBorderStyle ZIG_ZAG_STITCH

- ## Method Details

  - ### values

    public static StandardBorderStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StandardBorderStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null